> ## Documentation Index
> Fetch the complete documentation index at: https://docs.feedspace.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Video Review

> Edit a specific video review.



## OpenAPI

````yaml POST /feeds/video/{video_feed_id}
openapi: 3.1.0
info:
  title: Feedspace API
  description: Feedspace API v3 - Feedback and testimonial management platform
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.feedspace.io/v3
security: []
paths:
  /feeds/video/{video_feed_id}:
    post:
      tags:
        - VideoFeeds
      description: Edit a specific video review.
      parameters:
        - name: video_feed_id
          in: path
          description: ID of the video feed
          required: true
          schema:
            type: string
      requestBody:
        required: true
        description: >-
          Request body for updating a video feed. See VideoFeedUpdateRequest
          schema for structure reference.
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                _method:
                  type: string
                  enum:
                    - PUT
                  description: Must be PUT
                favourite:
                  type: boolean
                  description: >-
                    Set to true to add to favourites, false to remove from
                    favourites
                review_text:
                  type: string
                  description: Review text
                rating:
                  type: integer
                  minimum: 1
                  maximum: 5
                  description: Rating value (1-5)
                review_title:
                  type: string
                  description: Review title (max 255 characters)
                reviewed_at:
                  type: string
                  format: date
                  description: Date when the review was submitted (YYYY-MM-DD)
                sentiment_id:
                  type: integer
                  description: Sentiment ID
                transcript:
                  type: string
                  description: Transcript text
                question_answers[0][feed_form_question_id]:
                  type: string
                  description: Feed form question ID
                question_answers[0][answer]:
                  type: string
                  description: Answer text for the question
                question_answers[0][answer_file]:
                  type: string
                  format: binary
                  description: Image file upload as answer (if applicable)
                question_answers[1][feed_form_question_id]:
                  type: string
                  description: Feed form question ID
                question_answers[1][answer]:
                  type: string
                  description: Answer text for the question
                question_answers[1][answer_file]:
                  type: string
                  format: binary
                  description: Image file upload as answer (if applicable)
                reviewer_social_urls[twitter]:
                  type: string
                  description: Twitter profile URL
                reviewer_social_urls[linkedin]:
                  type: string
                  description: LinkedIn profile URL
                reviewer_social_urls[facebook]:
                  type: string
                  description: Facebook profile URL
                reviewer_social_urls[instagram]:
                  type: string
                  description: Instagram profile URL
                static_thumb:
                  type: string
                  format: binary
                  description: Static thumbnail image file
                static_thumb_extension:
                  type: string
                  enum:
                    - jpeg
                    - jpg
                    - png
                    - gif
                    - webp
                  description: Image file extension
              required:
                - _method
      responses:
        '200':
          description: Video review updated successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  data:
                    $ref: '#/components/schemas/VideoFeedResponse'
              examples:
                success:
                  value:
                    message: Review updated successfully
                    data:
                      id: 3295
                      unique_feedback_id: GtITNG
                      language_id: null
                      public_url: https://www.feedspace.io/vf/GtITNG
                      comment: null
                      review_text: null
                      review_title: null
                      reviewed_at: null
                      rating: null
                      type: Uploaded
                      favourite: 1
                      sentiment_id: null
                      transcript: >-
                        Hi, I'm Prajakha. I'm a content writer, and I've been
                        using feedspace to collect feedback and testimonials
                        from my clients. The feedback is helping me get better
                        at my work and provide better value to my clients.
                        Whereas the testimonials, I've been sharing those on
                        social media. I'm adding them in my portfolio, and I am
                        putting them on my blog also along with case studies. So
                        this is helping me get a lot of inbound leads and also
                        instill. I trust in my potential clients. So, yeah, it's
                        been really helpful so far.
                      transcript_generated: true
                      static_thumb_url: >-
                        https://static.feedspace.io/uploads/zhBU6t/thumbs/feed_zhBU6t17440151726652-thumb.jpg
                      is_video_converted: 1
                      created_at: '2025-04-07T08:40:15.000000Z'
                      feed_fields:
                        name: Amanda
                        profile_pic_url: >-
                          https://static.feedspace.io/uploads/zhBU6t/allinone-feed-user-photo/1751872706-dp2VTq0.png
                        position: ''
                        organization_name: null
                        consent: null
                      feed_form:
                        name: New Review Form
                        unique_form_id: form_gSgElcsXX8LaI6RtMA6JqlkN
                        public_url: https://www.feedspace.io/u/4en9smV
                      question_answers:
                        - feed_form_question_id: 32330
                          question_type: 5
                          question_text: photo
                          default_value: ''
                          question_label: ''
                          mandatory: 0
                          answer: >-
                            https://static.feedspace.io/uploads/zhBU6t/allinone-feed-user-photo/1751872706-dp2VTq0.png
                          placeholder: Photo
                        - feed_form_question_id: 30081
                          question_type: 1
                          question_text: name
                          default_value: ''
                          question_label: ''
                          mandatory: 0
                          answer: Amanda
                          placeholder: Name
                        - feed_form_question_id: 30082
                          question_type: 1
                          question_text: email
                          default_value: ''
                          question_label: ''
                          mandatory: 0
                          answer: ''
                          placeholder: Email
                        - feed_form_question_id: 30084
                          question_type: 1
                          question_text: position
                          default_value: ''
                          question_label: Job Role
                          mandatory: 0
                          answer: ''
                          placeholder: Job Role
                        - feed_form_question_id: 30085
                          question_type: 1
                          question_text: organization_name
                          default_value: ''
                          question_label: Company Name
                          mandatory: 0
                          answer: ''
                          placeholder: Company Name
                        - feed_form_question_id: 30086
                          question_type: 1
                          question_text: contact_number
                          default_value: ''
                          question_label: ''
                          mandatory: 0
                          answer: ''
                          placeholder: Contact Number
                        - feed_form_question_id: 30083
                          question_type: 4
                          question_text: consent
                          default_value: ''
                          question_label: >-
                            I hereby grant permission to share this review with
                            others.
                          mandatory: 0
                          answer: ''
                          placeholder: Consent
                      file_url: >-
                        https://static.feedspace.io/uploads/zhBU6t/video-feed/feed_zhBU6t17440151726652.mp4
                      is_download_enabled: false
                      is_pro_editor_enabled: true
                      meta_properties: null
                      trim_status: null
                      reviewer_social_urls: []
                      duplicated_from_id: null
      security:
        - basicAuth: []
components:
  schemas:
    VideoFeedResponse:
      type: object
      properties:
        id:
          type: integer
        unique_feedback_id:
          type: string
        language_id:
          type:
            - integer
            - 'null'
        public_url:
          type: string
        comment:
          type:
            - string
            - 'null'
        review_text:
          type:
            - string
            - 'null'
        review_title:
          type:
            - string
            - 'null'
        reviewed_at:
          type:
            - string
            - 'null'
          format: date-time
        rating:
          type:
            - integer
            - 'null'
        type:
          type: string
        favourite:
          type: integer
        sentiment_id:
          type:
            - integer
            - 'null'
        transcript:
          type:
            - string
            - 'null'
        transcript_generated:
          type: boolean
        static_thumb_url:
          type:
            - string
            - 'null'
        is_video_converted:
          type: integer
        created_at:
          type: string
          format: date-time
        feed_fields:
          $ref: '#/components/schemas/FeedFields'
        feed_form:
          $ref: '#/components/schemas/FeedForm'
        question_answers:
          type: array
          items:
            $ref: '#/components/schemas/QuestionAnswer'
        file_url:
          type:
            - string
            - 'null'
        is_download_enabled:
          type: boolean
        is_pro_editor_enabled:
          type: boolean
        meta_properties:
          type:
            - object
            - 'null'
        trim_status:
          type:
            - string
            - 'null'
        reviewer_social_urls:
          type: array
          items:
            type: string
        duplicated_from_id:
          type:
            - integer
            - 'null'
    FeedFields:
      type: object
      properties:
        name:
          type: string
        profile_pic_url:
          type:
            - string
            - 'null'
        position:
          type:
            - string
            - 'null'
        organization_name:
          type:
            - string
            - 'null'
        consent:
          type:
            - boolean
            - 'null'
    FeedForm:
      type: object
      properties:
        name:
          type: string
        unique_form_id:
          type: string
        public_url:
          type: string
    QuestionAnswer:
      type: object
      properties:
        feed_form_question_id:
          type: integer
        question_type:
          type: integer
        question_text:
          type: string
        default_value:
          type: string
        question_label:
          type: string
        mandatory:
          type: integer
        answer:
          type:
            - string
            - 'null'
        placeholder:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        HTTP Basic Authentication using API Key and Secret Key. The credentials
        should be Base64 encoded in the format 'api_key:secret_key'. You can
        obtain your API Key and Secret Key from Feedspace → Automation → API
        (https://app.feedspace.io/automation/api).

````